#!/usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Created on Wed Sep 19 15:04:43 2018

@author: florent
"""

import numpy as np

def PolaireSG6042Re1e5(alpha):
    # load data from xfoil
    infile="CoeffsPolaireSG6042_Rey1e5.npz"
    npzfiles=np.load(infile)
    coeffCl13=npzfiles['arr_0']
    coeffCl20=npzfiles['arr_1']
    coeffCd2=npzfiles['arr_2']
    coeffCd15=npzfiles['arr_3']

    if ((alpha<=13) & (alpha>-5)):
        Clfit=np.polyval(coeffCl13,alpha)
        #print("cas 1")
    elif ((alpha>-5) & (alpha<=22)):
        Clfit=np.polyval(coeffCl20,alpha)
        #print("cas 2")
    elif ((alpha>-12) & (alpha<=-5)) :
        Clfit=-0.4
        #print("cas 3")
    else:
        Clfit=0.0
        #print("cas 4")
    if ((alpha<=2)):
        Cdfit=np.polyval(coeffCd2,alpha)
    else:
        Cdfit=np.polyval(coeffCd15,alpha)
    return Clfit,Cdfit